/*
 Die Klasse Person ist kopierbar
*/

public class Person implements Cloneable{

private String nachname;
private String vorname;
private Person partner;

 public void setNachname(String pNachname){
  this.nachname = pNachname;
 }//Ende setNachname
 public String getNachname(){
  return this.nachname;
 }
 public void setVorname(String pVorname){
  this.vorname = pVorname;
 }//Ende setVorname
 
 public String getVorname(){
  return this.vorname;
 }//Ende getVorname//
 
 public String getName(){
  return this.nachname + ", " + this.vorname;
 }//Ende getName();
 
 public void setPartner(Person pPartner){
  this.partner =pPartner; 
  pPartner.partner = this;
 }//Ende setPartner
 
 public Person getPartner(){
  return this.partner; 
 }// Ende getPartner
 public String getInfo(){
  String rueckgabe;
 
  rueckgabe = "Name: " + getName();
  if (this.partner != null){
   rueckgabe = rueckgabe + ", verheirated mit " + this.partner.getName();
  }
  else{
   rueckgabe = rueckgabe + ", ledig";
  }//Ende if
 
  return rueckgabe;
 }//Ende getInfo
 
 public Object clone() throws CloneNotSupportedException{
   Person klon = (Person)super.clone();
   klon.partner = new Person();
   klon.partner.nachname = this.partner.nachname;   
   klon.partner.vorname = this.partner.vorname;   
   klon.partner.partner = this;
   return klon; 
 }//Ende clone
}

