/*
Instanzen der Klasse Person knnen anhand des statischen Attributes exakt verglichen werden. 

exakt = true: Gleichheit der Referenzen = Objektidentitt wird geprft
exakt = false (default) gleicher Inhalt wird geprft
*/

public class Person{

private String nachname;
private String vorname;
private static boolean exact;

public static boolean isExact(){
 return Person.exact;
}//Ende isExact

public static void setExact(boolean pExact){
 Person.exact = pExact;
}//Ende setExakt
public void setNachname(String pNachname){
 this.nachname = pNachname;
}//Ende setNachname
public String getNachname(){
 return this.nachname;
}//Ende getNachname
public void setVorname(String pVorname){
 this.vorname = pVorname;
}//Ende setVorname
public String getVorname(){
 return this.vorname;
}//Ende getVorname

public String getName(){
 return this.nachname + ", " + this.vorname;
}
public boolean equals(Object obj){
 Person ch;
 if (super.equals(obj)){
  return true;
 }else{
  if (obj instanceof Person){
   ch = (Person)obj;
  }
  else{
   return false;
  }//ende if instanceof
 }//ende if super.equals()
 if (!Person.exact){
  if ((this.vorname.equals(ch.vorname))&&(this.nachname.equals(ch.nachname))){
    return true;
  }else{
   return false;
  }//ende if Vergleich von Vor- und Nachname
 }
 else{
  return false;
 }//ende if !Person.exact
}//Ende equals
}//Ende Person

