/*
Ein adressierbarer Container fr Personen
*/

public class Hotel implements Adressierbar{

private int rooms;
private int roomCount = 0;
private Person[] gaeste;

 public Hotel(int pRooms) throws Exception{
  if (pRooms <= 0){
   throw new Exception("Hotel braucht Zimmeranzahl >0!"); 
  } 
  this.rooms = pRooms;
  gaeste = new Person[this.rooms]; 
 }//Ende Hotel
 

 public void einmieten(Person pPerson) throws Exception{
  if (this.roomCount < this.rooms){
   this.gaeste[this.roomCount] = pPerson;
   this.roomCount++;
  }else{
   throw new Exception("Hotel ist voll!");
  }//Ende if
 }//Ende einmieten

 public int freieZimmer(){
  return this.rooms - this.roomCount; 
 }//Ende freieZimmer
 
 public void status(){
  for (int i = 0; i < roomCount; i++){
   System.out.println(this.gaeste[i].vorstellen());
  }//Ende for
 }//Ende status
 
 public String getAdresse(){
  return "Hotel zur Sonne\nPostfach 1234\n83772 Mitterdarching";
 }
 
}//Ende Hotel