import java.util.*;

public class TimeApp{

public static void main(String[] args){
// Untersttzte Ids fr GMT-08:00 (Pacific Standard Time)
String[] ids = TimeZone.getAvailableIDs(-8 * 60 * 60 * 1000);
// falls keine Id gefunden, Programmende
if (ids.length == 0)
   System.exit(0);
// Ausgabe
System.out.println("Current Time");
// erzeugen der PST-Zeitzone
SimpleTimeZone pdt = new SimpleTimeZone(-8*60*60*1000, ids[0]);
// Sommerzeit Beginn und Ende
pdt.setStartRule(Calendar.APRIL,1,Calendar.SUNDAY,2*60*60*1000);
pdt.setEndRule(Calendar.OCTOBER,-1,Calendar.SUNDAY,2*60*60*1000);
//erzeugen eines Gregorianischen Kalender-Objekts mit Pacific-//Standard-Zeit und aktuellem datun und Uhrzeit
Calendar calendar = new GregorianCalendar(pdt);
Date trialTime = new Date();
calendar.setTime(trialTime);
// Auswahl von Datums-nformationen
System.out.println("ERA: " + calendar.get(Calendar.ERA));
System.out.println("YEAR: " + calendar.get(Calendar.YEAR));
System.out.println("MONTH: " + calendar.get(Calendar.MONTH));
System.out.println("WEEK:"+calendar.get(Calendar.WEEK_OF_YEAR));
System.out.println("WEEK:"+calendar.get(Calendar.WEEK_OF_MONTH));
System.out.println("DATE: "+calendar.get(Calendar.DATE));
System.out.println("DAY: "+calendar.get(Calendar.DAY_OF_MONTH));
System.out.println("DAY: "+calendar.get(Calendar.DAY_OF_YEAR));
System.out.println("DAY "+calendar.get(Calendar.DAY_OF_WEEK));
System.out.println("AM_PM: "+calendar.get(Calendar.AM_PM));
System.out.println("HOUR: "+calendar.get(Calendar.HOUR));
System.out.println("HOUR: "+calendar.get(Calendar.HOUR_OF_DAY));
System.out.println("MINUTE: "+calendar.get(Calendar.MINUTE));
System.out.println("SECOND: "+calendar.get(Calendar.SECOND));
}
}