/*
Ein Hotel dient als Container fr Personen
*/

package gebaeude;

import adressen.*;
import personen.*;
import java.util.*;

public class Hotel implements Adressierbar{

private int rooms;
private ArrayList gaeste;

 public Hotel(int pRooms) throws Exception{
  if (pRooms <= 0){
   throw new Exception("Hotel braucht Zimmeranzahl >0!"); 
  } 
  this.rooms = pRooms;
  gaeste = new ArrayList(this.rooms); 
 }//Ende Hotel
 

 public void einmieten(Person pPerson) throws Exception{
  this.gaeste.add(pPerson);
 }//Ende einmieten

 public int freieZimmer(){
  return this.rooms - this.gaeste.size(); 
 }//Ende freieZimmer
 
 public void status(){
 Collections.sort(gaeste);
  Iterator elemente = gaeste.iterator();
  while(elemente.hasNext()){
   System.out.println(((Person)elemente.next()).vorstellen());
  }//Ende while

 }//Ende status
 
 public String getAdresse(){
  return "Hotel zur Sonne\nPostfach 1234\n83772 Mitterdarching";
 }
 
}//Ende Hotel