package personen;

import adressen.*;
/**Die Klasse Person abstrahiert einen Menschen,
 eine Person hat einen Nachnamen und einen Vornamen
 eine Person kann ihren Namen zurckgeben

*/

public abstract class Person implements Adressierbar{

private String nachname;
private String vorname;
private static int personenZaehler = 0;
private Ort wohnsitz;

 private Person(){//Default-Konstruktor
  System.out.println("Geburt einer Person!");
  Person.erhoehePersonenZaehler();
 }//Ende Person
 
 public Person(String pNachname, String pVorname){
  this();
  this.setNachname(pNachname);
  this.setVorname(pVorname);
 }//Ende Person(String, String)
 
 private static void erhoehePersonenZaehler(){
  Person.personenZaehler++;
 }//Ende erhoehePersonenZaehler
 
 public static int getPersonenZaehler(){
  return Person.personenZaehler;
 }//Ende getPersonenZaehler

 public final void setNachname(String pNachname){
  this.nachname = pNachname;
 }//Ende setNachname
 
 public final void setVorname(String pVorname){
  this.vorname = pVorname;
 }//Ende setVorname
 
 public final String getNachname(){
  return nachname;
 }//Ende getNachname
 
 public final String getVorname(){
  return vorname;
 }//Ende getVorname
 
 public final String getName(){
  return this.getNachname() + ", " + this.getVorname();
 }//Ende getNachname
 
 public String vorstellen(){
  return "Mein Name ist " + this.getName();
 }//Ende vorstellen
 
 public void setWohnsitz(Ort pOrt){
  this.wohnsitz = pOrt; 
 }//Ende setWohnsitz
 
 public Ort getWohnsitz(){
  return this.wohnsitz; 
 }//Ende getWohnsitz

 public String getAdresse(){
  return this.vorstellen() + ", wohnhaft in " + this.getWohnsitz().getAnschrift(); 
 }
 
}//Ende Person