/*
Eine Person abstrahiert einen Menschen mit Vor- unhd Nachname
Zustzlich gibt es das statische Attribut personenZaehler, die die Anzahl aller Personen enthlt
*/
public class Person{

private String nachname;
private String vorname;
private static int personenZaehler = 0;

 private Person(){//parameterloser Konstruktor
  System.out.println("Geburt einer Person!");
  Person.erhoehePersonenZaehler();
 }//Ende Person
 
 public Person(String pNachname, String pVorname){
  this();
  this.setNachname(pNachname);
  this.setVorname(pVorname);
 }//Ende Person(String, String)
 
 private static void erhoehePersonenZaehler(){
  Person.personenZaehler++;
 }//Ende erhoehePersonenZaehler
 
 public static int getPersonenZaehler(){
  return Person.personenZaehler;
 }//Ende getPersonenZaehler

 public void setNachname(String pNachname){
  this.nachname = pNachname;
 }//Ende setNachname
 
 public void setVorname(String pVorname){
  this.vorname = pVorname;
 }//Ende setVorname
 
 public String getNachname(){
  return nachname;
 }//Ende getNachname
 
 public String getVorname(){
  return vorname;
 }//Ende getVorname
 
 public String getName(){
  return this.getNachname() + ", " + this.getVorname();
 }//Ende getNachname
 
 public String vorstellen(){
  return "Mein Name ist " + this.getName();
 }//Ende vorstellen
}//Ende Person