/*
Application erzeugt eine Reihe von Personen, ein Hotel, ein Adressbuch
*/

public class Application{

 public static void main(String[] args){
  
  System.out.println("Es gibt " 
    + Person.getPersonenZaehler() 
    + " Personen");
 
  Person m;
  Student s;
  Arbeiter a;
  Freiberufler f;
  Rentner r;
  Adressbuch ab = new Adressbuch();
  
  Hotel hotel = null;
  try{
   hotel = new Hotel(5);
  }//Ende try
  catch(Exception e){
   System.out.println("Fehler beim Hotel erzeugen: " + e.getMessage());
   System.exit(0);
  }//Ende try-catch
    
  //m = new Person("Metzger", "Georg");
  s = new Student("Schneider", "Barbara", 1234.56);
  s.setWohnsitz(new Ort("Mnchner Str.", 83, "83607"));
  a = new Arbeiter("Schufter", "Hans", 1234.56, "Integrata");
  a.setWohnsitz(new Ort("Lenggrieser Str.", 2, "82319"));
  f = new Freiberufler("Freigeist", "Ignaz", 1234.56);
  f.setWohnsitz(new Ort("Maria-Josepha-Str.", 83, "82211"));
  r = new Rentner("Ruhleben", "Walther", 2345.67);
  r.setWohnsitz(new Ort("Ulrichstr.", 4, "82344"));  
  
  try{
   //hotel.einmieten(m);
   hotel.einmieten(s);
   hotel.einmieten(a);
   hotel.einmieten(f);
   hotel.einmieten(r);
  }
  catch(Exception e){
   System.out.println("Fehler beim einmieten: " + e.getMessage()); 
  }

  hotel.status();
  System.out.println("Es gibt nun " 
    + Person.getPersonenZaehler() 
    + " Personen");

  ab.eintragen(s);
  ab.eintragen(a);  
  ab.eintragen(f);
  ab.eintragen(r);
  ab.eintragen(hotel);
  
  ab.adressenAuslesen();
 }//Ende main
}//Ende Application