/*
Abstrahierung eines Ortes mit Strasse, Hausnummer...

*/

public class Ort implements PLZVerzeichnis{
private String strasse;
private int hausnummer;
private String plz;
private int plzNummer = 0;
private boolean plzFound;

 public Ort(String pStrasse, int pHausnummer, String pPlz){
  this.strasse = pStrasse;
  this.hausnummer = pHausnummer;
  setPlz(pPlz);
 }
 private void setPlz(String pPlz){
  int i;
  for (i = 0; i < PLZ.length; i++){
   if  (pPlz == PLZ[i][0]){
    this.plzFound = true;
    this.plzNummer = i;
    break; 
   }//Ende if
  }//Ende for
 }//Ende setPlz
 public String getAnschrift(){
  if (this.plzFound){
   return strasse + " " + hausnummer + '\n' + PLZ[plzNummer][0] + " " + PLZ[plzNummer][1];
  }
  else{
   return strasse + " " + hausnummer + '\n' + "Unbekannter Ort";
  }//Ende if
 }
  
}